<br/>
<div class="haupt" fxLayout='row' fxLayout.xs="column" fxLayoutGap="1%"  fxLayoutAlign="center">

  <div fxFlex="50%">
    <div>
      <mat-card>
        <mat-card-header>
          <mat-card-title>Charakter erstellen</mat-card-title>
        </mat-card-header>
        <mat-card-content>
          <form (ngSubmit)="createChar()" [formGroup]="charForm" *ngIf="charForm">
            <div>
                <mat-form-field class="example-full-width">
                  <mat-label>Charaktername</mat-label>
                  <input matInput placeholder="" value="" formControlName="charName">
                </mat-form-field>
            </div>
            <div>
              <mat-form-field appearance="fill">
                <mat-label>Rasse</mat-label>
                <mat-select formControlName="race">
                  <mat-option *ngFor="let race of races" [value]="race" >
                    {{race.name}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <mat-form-field appearance="fill">
                <mat-label>Klasse</mat-label>
                <mat-select formControlName="class">
                  <mat-option *ngFor="let class of classes" [value]="class" >
                    {{class.name}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <div>
              <button mat-raised-button color="primary" type="submit" >Charakter erstellen</button>
            </div>
          </form>
        </mat-card-content>
      </mat-card>
    </div>
  </div>

</div>
